cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

When will Eos Utility support High Sierra

jakobox
Contributor

Any idea when Eos Utility will support High Sierra? It is not listed as supported on the Canon website, and I can confirm that it does not work with my 5d Mark IV. High Sierra is already a few months old so I'm hoping it's soon? I emailed Canon directly about this and have yet to hear back. Perhaps someone on here has more insight?

23 REPLIES 23

TCampbell
Elite
Elite

I use it with High Sierra and it’s working fine (this is the version that you download for Sierra but works with High Sierra).

 

I. Haven’t noticed any compatibility issues.

 

Tim Campbell
5D III, 5D IV, 60Da

That's interesting.

 

For me, the software crashes immediately when trying to capture tethered to the 5dMKIV (

 

It was working fine for me before upgrading to High Sierra, and it still works fine on my backup computer (which has not been upgraded).

 

Glad to hear that you have it working, hopefully Canon will have it working for *everyone* shortly.

 

Which loops me back to my original question: Anyone have an idea of when an updated version will be released?

You are a subset (having a 5dmkIV) of a subset (shooting tethered). Make sure to call Canon so they can report the bug.

Thanks for the tip! Any reco's on who to contact? I already emailed via their support page, but never received a response.

I think the problem is elsewhere.... I also have High Sierra (10.13.1) and am running EOS Utility 3 (3.7.0) with a 5D IV (firmware 1.0.4) and even when I tell it I want to shoot tethered (controlled by EOS Utility) it works fine.

 

No crashes.

 

Which version of EOS Utility are you running?

 

Tim Campbell
5D III, 5D IV, 60Da

I'm on 3.7.0,

5d MKIV is 1.0.4

 

If the problem is elsewhere, I'd love to know where!

Hi jakobox!

 

Our friendly US-based team will be happy to do some one-on-one troubleshooting with you to get to the bottom of this! They're at 1-800-828-4040 or 1-800-OK-CANON (800-652-2666) weekdays from 8am to Midnight (ET) and Saturdays from 10am to 8pm (ET).

 What version of EOS utility are you referring to and where do you download from, the App Store or Canon website? 

I downloaded from the website.

As I mentioned above I'm on 3.7.0 and 1.0.4 (latest versions of software for both Eos Utility and 5d MKIV)
Avatar
click here to view the gallery
Announcements